# ghc does not emit debug info
%define debug_package %{nil}

Name:           happy
Version:        1.18.2
Release:        3%{?dist}
License:        BSD
Group:          Development/Tools
URL:            http://haskell.org/happy/
Source:         http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  autoconf, ghc, docbook-dtds, docbook-style-xsl, libxslt, libxml2
Summary:        The LALR(1) Parser Generator for Haskell
# ghc has only been bootstrapped on the following archs:
ExclusiveArch:	%{ix86} x86_64 ppc
Requires(post): policycoreutils

%description
Happy is a parser generator system for Haskell, similar to the tool
`yacc' for C. Like `yacc', it takes a file containing an annotated BNF
specification of a grammar and produces a Haskell module containing a
parser for the grammar.

Happy is flexible: you can have several Happy parsers in the same
program, and several entry points to a single grammar. Happy can work
in conjunction with a lexical analyser supplied by the user (either
hand-written or generated by another program).


%prep
%setup -q


%build
%cabal_configure --ghc
%cabal build

pushd doc
autoreconf
%configure
make html
popd


%install
rm -rf ${RPM_BUILD_ROOT}
%cabal_install


%clean
rm -rf ${RPM_BUILD_ROOT}


%post
semanage fcontext -a -t unconfined_execmem_exec_t %{_bindir}/%{name} >/dev/null 2>&1 || :
restorecon %{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc ANNOUNCE CHANGES LICENSE README TODO doc/happy
%{_bindir}/happy
%{_datadir}/happy-%{version}


%changelog
* Wed Feb 25 2009 Jens Petersen <petersen@redhat.com> - 1.18.2-3
- rebuild with %%ix86 for i586

* Mon Feb 23 2009 Jens Petersen <petersen@redhat.com> - 1.18.2-2
- cabal build replaces cabal_build

* Wed Nov 12 2008 Jens Petersen <petersen@redhat.com> - 1.18.2-1
- update to 1.18.2 release from hackage
- update to new packaging macros
- turn off debuginfo

* Tue Oct 14 2008 Jens Petersen <petersen@redhat.com> - 1.17-3
- add selinux unconfined_execmem_exec_t file context

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.17-2
- Autorebuild for GCC 4.3

* Fri Jan  4 2008 Jens Petersen <petersen@redhat.com> - 1.17-1
- update to 1.17 release

* Fri Nov 23 2007 Bryan O'Sullivan <bos@serpentine.com> - 1.16-3
- Exclude alpha and ppc64

* Thu Aug 16 2007 Jens Petersen <petersen@redhat.com>
- update License field

* Sun Mar 25 2007 Bryan O'Sullivan <bos@serpentine.com> - 1.16-2
- fix a few style issues pointed out by Jens

* Fri Jan 19 2007 Bryan O'Sullivan <bos@serpentine.com> - 1.16-1
- update to 1.16
- fix rpmlint warnings

* Fri Jan 21 2005 Jens Petersen <petersen@haskell.org> - 1.15-2
- initial packaging based on spec file from tarball
- setup libdir for x86_64
